#pragma once
#include <map>
struct M_HealthGameData
{
	//ID
	int mID;
	//ÀàÐÍ
	std::string mType;
	//ÃèÊö
	std::string mDescribe;
};

class M_HealthGame
{
public:
private:
	static std::auto_ptr<M_HealthGame> msSingleton;
public:
	int GetCount();
	const M_HealthGameData* GetData(int ID);
	const std::map<int, M_HealthGameData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_HealthGame* GetSingleton();
	static void Release();
private:
	std::map<int, M_HealthGameData> mMapData;
};
